package com.fs.fastGpt.service.impl;

import java.util.List;

import com.fs.common.BeanCopyUtils;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.fastGpt.domain.FastGptKeyword;
import com.fs.fastGpt.domain.FastGptKeywordArtificial;
import org.springframework.stereotype.Service;
import com.fs.fastGpt.mapper.FastGptKeywordSendMapper;
import com.fs.fastGpt.domain.FastGptKeywordSend;
import com.fs.fastGpt.service.IFastGptKeywordSendService;

/**
 * Ai关键字表(根据关键字发送文本和图片)Service业务层处理
 * 
 * @author fs
 * @date 2025-05-12
 */
@Service
public class FastGptKeywordSendServiceImpl extends ServiceImpl<FastGptKeywordSendMapper, FastGptKeywordSend> implements IFastGptKeywordSendService {

    /**
     * 查询Ai关键字表(根据关键字发送文本和图片)
     * 
     * @param id Ai关键字表(根据关键字发送文本和图片)主键
     * @return Ai关键字表(根据关键字发送文本和图片)
     */
    @Override
    public FastGptKeywordSend selectFastGptKeywordSendById(Long id,Long keywordType)
    {
        return baseMapper.selectFastGptKeywordSendById(id,keywordType);
    }

    /**
     * 查询Ai关键字表(根据关键字发送文本和图片)列表
     * 
     * @param fastGptKeywordSend Ai关键字表(根据关键字发送文本和图片)
     * @return Ai关键字表(根据关键字发送文本和图片)
     */
    @Override
    public List<FastGptKeywordSend> selectFastGptKeywordSendList(FastGptKeywordSend fastGptKeywordSend)
    {
        return baseMapper.selectFastGptKeywordSendList(fastGptKeywordSend);
    }

    /**
     * 新增Ai关键字表(根据关键字发送文本和图片)
     * 
     * @param fastGptKeywordSend Ai关键字表(根据关键字发送文本和图片)
     * @return 结果
     */
    @Override
    public int insertFastGptKeywordSend(FastGptKeywordSend fastGptKeywordSend)
    {
        fastGptKeywordSend.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertFastGptKeywordSend(fastGptKeywordSend);
    }

    /**
     * 修改Ai关键字表(根据关键字发送文本和图片)
     * 
     * @param fastGptKeywordSend Ai关键字表(根据关键字发送文本和图片)
     * @return 结果
     */
    @Override
    public int updateFastGptKeywordSend(FastGptKeywordSend fastGptKeywordSend)
    {
        return baseMapper.updateFastGptKeywordSend(fastGptKeywordSend);
    }

    /**
     * 批量删除Ai关键字表(根据关键字发送文本和图片)
     * 
     * @param ids 需要删除的Ai关键字表(根据关键字发送文本和图片)主键
     * @return 结果
     */
    @Override
    public int deleteFastGptKeywordSendByIds(Long[] ids)
    {
        return baseMapper.deleteFastGptKeywordSendByIds(ids);
    }

    /**
     * 删除Ai关键字表(根据关键字发送文本和图片)信息
     * 
     * @param id Ai关键字表(根据关键字发送文本和图片)主键
     * @return 结果
     */
    @Override
    public int deleteFastGptKeywordSendById(Long id)
    {
        return baseMapper.deleteFastGptKeywordSendById(id);
    }

    @Override
    public List<FastGptKeywordSend> selectFastGptKeywordSendByRoleId(Long roleId) {
        return baseMapper.selectFastGptKeywordSendByRoleId(roleId);
    }

    @Override
    public List<FastGptKeywordArtificial> selectFastGptKeywordArtificial(FastGptKeywordArtificial keywordArtificial) {
        return baseMapper.selectFastGptKeywordArtificial(keywordArtificial);
    }

    @Override
    public int insertFastGptKeywordArtificial(FastGptKeywordArtificial keywordArtificial) {
        return baseMapper.insertFastGptKeywordArtificial(keywordArtificial);
    }

    @Override
    public List<FastGptKeyword> selectFastGptKeywordList(int type) {
        return baseMapper.selectFastGptKeywordList(type);
    }
}
